Subject: [mif] LTE lightweight Router use-case for default routes

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 30 Mar 2012 14:08:11 +0200

There is a particular use-case I am interested in, with respect to the
distribution of default routes.

A lightweight IPv6 Router, of end user, connects to the LTE network.  It
needs to acquire several basic parameters such as address and default route.

By LTE specifications, this Router uses RS/RA to make an address and
DHCPv6-Prefix Delegation to obtain a prefix for use with other devices
in its (movable) network.

Since it is lightweight, and constrained in hardware ressources
available, it may be better served if only one protocol implementation
were used, instead of 2, and if a smaller number of smaller messages
were used.

LTE, M2M and vehicular settings are example applications.  Others
similar are e.g. satellite-WiFi connectors, and more.

Is this use-case already mentioned in the route-option draft?

Alex